---
search:
  tags:
    - Products
    - GET
seo:
  description: >-
    Returns all unique custom attribute names used across… Reference for the GET
    /shops/{shop_id}/custom_product_attributes endpoint in the Bolder API v2.
sidebar:
  label: List custom product attributes
  badge: GET
title: List custom product attributes
type: openapi-operation
---
Returns all unique custom attribute names used across products in this shop.

`GET /shops/{shop_id}/custom_product_attributes`

**cURL**

```bash
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/shops/1/custom_product_attributes"
```

**Responses**

- `200` — Custom attributes list

Response example, 200:

```json
{
  "_class": [
    "results",
    "customAttributes"
  ],
  "_embedded": {
    "items": [
      {
        "name": "material"
      },
      {
        "name": "origin"
      }
    ]
  }
}
```
